/*
 File: prefile_includesym.cpp
 Date and Time: Fri Jan 30 18:55:20 2015 
*/
#include "prefile_include.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_prefile_include;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_prefile_include::TH_prefile_include(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_prefile_include;
  NS_prefile_include::Cprefile_include Cprefile_include_;// parallel-parser's parse table
#define ssPARSE_TABLE Cprefile_include_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_prefile_include::PROC_TH_prefile_include(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_prefile_include";
  static bool one_time(false);
  static NS_prefile_include::Cprefile_include* NS_prefile_include_Cprefile_include_(0);// parallel-parser's fsm table
  static Parser* NS_prefile_include_Cprefile_include_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_prefile_include_Cprefile_include_ = new NS_prefile_include::Cprefile_include();// parallel-parser's fsm table
    NS_prefile_include_Cprefile_include_parser = new Parser(*NS_prefile_include_Cprefile_include_,Caller_pp);
  }
 proc_parser = NS_prefile_include_Cprefile_include_parser;
#include "wproc_pp_core.h"
}
void 
Cprefile_include::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rprefile_include_:{
       Rprefile_include* sym;
     if(re->rule_ == 0){
       sym = new Rprefile_include(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rprefile_include*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 4;
    

     sym->op();
     return;}
    case rhs1_Reof_:{
       Reof* sym;
     if(re->rule_ == 0){
       sym = new Reof(parser__);
       re->rule_ = sym;
     }else{
       sym = (Reof*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Reof_:{
       Reof* sym;
     if(re->rule_ == 0){
       sym = new Reof(parser__);
       re->rule_ = sym;
     }else{
       sym = (Reof*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rpossible_ws_:{
       Rpossible_ws* sym;
     if(re->rule_ == 0){
       sym = new Rpossible_ws(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rpossible_ws*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rpossible_ws_:{
       Rpossible_ws* sym;
     if(re->rule_ == 0){
       sym = new Rpossible_ws(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rpossible_ws*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rfile_string_:{
       Rfile_string* sym;
     if(re->rule_ == 0){
       sym = new Rfile_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfile_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr1();
     return;}
    case rhs2_Rfile_string_:{
       Rfile_string* sym;
     if(re->rule_ == 0){
       sym = new Rfile_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfile_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr2();
     return;}
    case rhs3_Rfile_string_:{
       Rfile_string* sym;
     if(re->rule_ == 0){
       sym = new Rfile_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfile_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr3();
     return;}
    case rhs4_Rfile_string_:{
       Rfile_string* sym;
     if(re->rule_ == 0){
       sym = new Rfile_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfile_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rfile_string_:{
       Rfile_string* sym;
     if(re->rule_ == 0){
       sym = new Rfile_string(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rfile_string*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr5();
     return;}
    default: return;
   }
}
